# Cassandra Plugins for Apache Pekko Persistence

Replicated Apache Pekko Persistence journal and snapshot store backed by [Apache Cassandra](https://cassandra.apache.org/).

Apache Pekko Persistence Cassandra is a fork of [Akka Persistence Cassandra](https://github.com/akka/akka-persistence-cassandra)

## Documentation

See the [pekko-persistence-cassandra website](https://pekko.apache.org/docs/pekko-persistence-cassandra/current/) for the application documentation. The docs for all the Apache Pekko modules can be found at https://pekko.apache.org.

## Community

There are several ways to interact with the Apache Pekko community:

- [GitHub discussions](https://github.com/apache/pekko-persistence-cassandra/discussions): for questions and general discussion.
- [Pekko dev mailing list](https://lists.apache.org/list.html?dev@pekko.apache.org): for Pekko development discussions.
- [Pekko users mailing list](https://lists.apache.org/list.html?users@pekko.apache.org): for Pekko user discussions.
- [GitHub issues](https://github.com/apache/pekko-persistence-cassandra/issues): for bug reports and feature requests. Please search the existing issues before creating new ones. If you are unsure whether you have found a bug, consider asking in GitHub discussions or the mailing list first.

## Contributing

Contributions are very welcome. If you have an idea on how to improve Apache Pekko Cassandra Persistence, don't hesitate to create an issue or submit a pull request.

See [CONTRIBUTING.md](https://github.com/apache/pekko-persistence-cassandra/blob/main/CONTRIBUTING.md) for details on the development workflow and how to create your pull request.


## Code of Conduct

Apache Pekko Persistence Cassandra is governed by the [Apache code of conduct](https://www.apache.org/foundation/policies/conduct.html). By participating in this project you agree to abide by its terms.

## License

Apache Pekko Persistence Cassandra is available under the Apache License, version 2.0. See [LICENSE](https://github.com/apache/pekko-persistence-cassandra/blob/main/LICENSE) file for details.
